# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.19
# 
# >> macros
# << macros

Name:       gnupg2
Summary:    Utility for secure communication and data storage
Version:    2.0.4
Release:    1
Epoch:      1
Group:      Applications/System
License:    GPLv2+
URL:        http://www.gnupg.org/download/index.en.html
Source0:    ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source100:  gnupg2.yaml
Patch0:     gnupg-2_0_4-curl_easy_setopt_para_error.patch
Patch1:     gnupg_bmc5114_cve_2010_2547.patch
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  bzip2-devel
BuildRequires:  gettext
BuildRequires:  libassuan-devel >= 1.0.4
BuildRequires:  libgpg-error-devel
BuildRequires:  libksba-devel
BuildRequires:  pth-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel


%description
GnuPG is GNU's tool for secure communication and data storage.  It can
be used to encrypt data and to create digital signatures.  It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440 and the S/MIME
standard as described by several RFCs.

GnuPG 2.0 is the stable version of GnuPG integrating support for
OpenPGP and S/MIME.  It does not conflict with an installed 1.x
OpenPGP-only version.

GnuPG 2.0 is a newer version of GnuPG with additional support for
S/MIME.  It has a different design philosophy that splits
functionality up into several modules.  Both versions may be installed
simultaneously without any conflict (gpg is called gpg2 in GnuPG 2).
In fact, the gpg version from GnuPG 1.x is able to make use of the
gpg-agent as included in GnuPG 2 and allows for seamless passphrase
caching.  The advantage of GnupG 1.x is its smaller size and no
dependency on other modules at run and build time.




%prep
%setup -q -n gnupg-%{version}

# gnupg-2_0_4-curl_easy_setopt_para_error.patch
%patch0 -p1
# gnupg_bmc5114_cve_2010_2547.patch
%patch1 -p1
# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static
make %{?jobs:-j%jobs}

# >> build post
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install 

# >> install post
# << install post
%find_lang gnupg2






%files -f gnupg2.lang
%defattr(-,root,root,-)
# >> files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/gpg2
%{_bindir}/gpgv2
%{_bindir}/gpg-connect-agent
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/gpgkey2ssh
%{_bindir}/gpgparsemail
%{_bindir}/gpgsm*
%{_bindir}/kbxutil
%{_bindir}/scdaemon
%{_bindir}/watchgnupg
%{_sbindir}/*
%{_datadir}/gnupg/
%{_libexecdir}/*
%doc %{_infodir}/*.info*
%doc %{_mandir}/man?/*
# << files


